Ievads

Programma HP Driver Deployment Utility (DDU) ļauj administratoram izveidot draivera uzstādīšanas pakotni neuzraudzītai uzstādīšanai, ko veic lietotāji. Šī utilītprogramma atbalsta drukas draiveru pievienošanu Windows draiveru krātuvei un ierakstu izveidošanu mapē Printeris. Driver Deployment Utility atbalsta drukas draiverus, kas izstrādāti izmantošanai ar Microsoft printera pievienošanas vedni. Uz to attiecas visi Microsoft sertifikāta ierobežojumi un brīdinājumi.

Lietotāja saskarne ir iedalīta 3 sadaļās:

  1. “Pakotnes avots” apraksta pakotnes veidu un draivera atrašanās vietu, ko vēlaties izveidot.
  2. “Pakotnes mērķis” norāda instalēšanas pakotnes nosaukumu un atrašanās vietu.
  3. “Izveidot pakotni” sāk pakotnes izveidošanas procesu.


Pakotnes avots

Draivera direktorijs

Izmantojiet pogu “Izvēlēties draiveri...”, lai draiveru direktorijā izvēlētos inf failu, pārlūkojot vai ierakstot to. Šajā direktorijā jāatrodas tikai vienai draivera pakotnei, jo šī utilītprogramma iepakos visus šajā direktorijā (un apakšdirektorijos) esošos failus izpildāmā programmā. Ja esat lejupielādējis saspiestu draivera pakotni, tā jāizvērš pirms šīs utilītprogrammas izmantošanas.

Dažos gadījumos direktorijā var atrasties vairāki draivera inf faili (dažreiz viens fails ir paredzēts krāsu printerim un cits fails — vienas krāsas printerim). Šādā gadījumā tiks atvērts papildu dialoga logs, kur varēsit atzīmēt, kuru draiveri pakot.

Ja jūsu direktorijs ir liels, tiks parādīts arī brīdinājums. Tas tiek darīts, lai novērstu vairāk nekā viena draivera pakošanu. Šajā brīdī varat izvēlēties turpināt, ja direktorijā ir visi vēlamie vai nepieciešamie faili.

Ja izvēlēts draivera direktorijs un atrasts viens draiveris, tiek parādīta direktorija un draivera informācija.

Draiveriem, kas atbalsta iepriekšēju konfigurāciju, būs atzīmēta šī izvēles rūtiņa. To atzīmējot, parādīsies konfigurācijas dialoga logs, nospiežot pogu “Izveidot pakotni”.

Instalēšanas veids

Lietotājiem, kas izmanto tiešo savienojumu, piemēram, USB kabeli, jāizvēlas opcija “Iepriekšielādēt draiveri”. Lai instalētu draiveri, būs nepieciešams cits Pieslēdz un strādā! notikums, bet turpmākai lietošanai šī pakotne instalēs visus failus Windows draiveru krātuvē. PIEZĪME. Ja ierīcei atrasti vairāki draiveri, operētājsistēma noteiks, kurš draiveris vislabāk sader ar Pieslēdz un strādā! notikumu, vai parādīs lietotājam draivera izvēles logu.

Pēc noklusējuma vērtības izpildāmā programma darbojas ar norises dialoga logu. Lai izslēgtu norises dialoga logu, palaidiet izpildāmo programmu ar “/q” komandrindā. Ja vēlaties uzaicināt lietotāju instalēšanas beigās pievienot printeri, atzīmējiet izvēles rūtiņu “Rādīt uzaicinājumu pievienot printeri”.

Printeriem ar tīkla pieslēgumu izvēlieties opciju “Izveidot tīkla portu un instalēt draiveri”. Tiks aktivizēta poga “Tīkla iestatījumi”, un uz tās jānoklikšķina, lai ievadītu vajadzīgos tīkla iestatījumus.

Tīkla iestatījumi

Tīkla printeris jānosaka, izmantojot vienu no šīm metodēm. Šī utilītprogramma neveido sakarus ar ierīci, lai noteiktu, vai ir derīgi iestatījumi, bet tā pārbauda sintaksi. (Lai iespējotu atkārtotu ierīces atklāšanu, pārliecinieties, vai ir norādīta aparatūras adrese.)

IP adrese:

Ievadiet printera IPv4 vai IPv6 adresi.

Aparatūras adrese:

Ievadiet printera aparatūras adresi.

Resursdatora nosaukums:

Ievadiet printera resursdatora nosaukumu.

Ir šādi tīkla papildu iestatījumi. Varat apstiprināt iepriekš ievadītās noklusējuma vērtības vai mainīt jebkuru no tām.

Porta nosaukums:

Šis ir tīkla porta nosaukums, kas tiks izveidots. Ja šāds nosaukums jau pastāv, tiks pievienots cipars, lai padarītu to unikālu.

Printera nosaukums:

Šis ir printera nosaukums, kas parādīsies printeru mapē. Ja šāds nosaukums jau pastāv, tiks pievienots cipars, lai padarītu to unikālu.

Iestatīt šo printeri kā noklusējuma vērtību:

Jā ― drukājot no citām lietojumprogrammām, printeris tiks iestatīts kā noklusējuma vērtība.

Nē ― tiks saglabāta pašreizējā noklusējuma vērtība, ja vien tas nav vienīgais instalētais printeris.

Koplietot šo printeri:

Jā ― tiks atļauts lietot šo printeri citiem.

Koplietot nosaukumu:

Koplietot printera nosaukumu.Tiek aktivizēts tikai gadījumā, ja opcija “Koplietot šo printeri” ir atzīmēta kā Jā. Ja šāds nosaukums jau pastāv, tiks pievienots cipars, lai padarītu to unikālu.


Pakotnes mērķis

Izvēlieties pogu “Saglabāt kā…”, lai ievadītu izvades pakotnes nosaukumu un atrašanās vietu. Utilītprogramma izveidos pakotni pagaidu direktorijā un pēc tam pārvietos to uz beigu atrašanās vietu. Pakotne sastāvēs no diviem kopā nosūtāmiem failiem: no .exe un .cab failiem.

Beigu atrašanās vietā tiks kopēts arī atbilstošs xml apraksta fails ar detalizētu informāciju par pakotni. xml pakotne ir tikai informatīva, to nevar izmantot DDU izpildes laikā.


Izveidot pakotni

Kad ievadīta visa iepriekšminētā informācija, izvēlieties “Izveidot pakotni”. Šī poga tiks rādīta līdz brīdim, kad tiks ievadīta visa vajadzīgā informācija. Nospiežot šo pogu, tiks aktivizēta poga “Atcelt” un josla “Progress”.

Lai pārtrauktu pakotnes izveidošanu, izvēlieties pogu “Atcelt”.

Izpildāmā programma darbosies ar norises dialoga logu, ja vien tiešā savienojuma printerim nav pieprasīts lietotāja uzaicinājums. Ja izpildīšanas laikā rodas kļūda, parādīsies kļūdas dialoga logs. Lai nerādītu kļūdas dialoga logu, jāatzīmē izvēles rūtiņa “Nerādīt visus lietotāja kļūdu ziņojumus”.


Papildu piezīmes.

Lai aizvērtu šo lietojumprogrammu, izmantojiet Windows aizvēršanas pogu augšā pa labi.


Atbalstītās operētājsistēmas

Microsoft Windows 2000

Microsoft Windows XP

Microsoft Windows XP 64 bitu izdevums

Microsoft Windows Server 2003 / 2008

Microsoft Windows Server 2003 / 2008 64 bitu izdevums

Microsoft Windows Vista

Microsoft Windows Vista (64 bitu)


Komandrindas opcijas

Lietotāja pakotni var modificēt, pievienojot komandrindas slēdžus. Komandrindas slēdžus var kombinēt, ja tie ir atdalīti ar atstarpēm. Ja komandrindā ir kļūda, piemēram, nederīga rakstzīme vai nepareizs formatējums, tiek parādīts kļūdas ziņojums. Nepareizi komandrindas slēdži tiek ignorēti. Šis komandrindas apraksts ir arī pieejams (angļu valodā), palaižot lietotāja pakotni ar “/?”.

Iepriekšielādētās pakotnes atbalsta šādas komandrindas opcijas:

/? parādīt komandrindas informāciju (tikai angļu valodā);

/q nerādīt norises joslu;

/p uzaicināt lietotāju pievienot printeri;

/s nerādīt lietotāja kļūdu ziņojumus.

Tīkla printera pakotnes atbalsta šādas komandrindas opcijas:

/? parādīt komandrindas informāciju (tikai angļu valodā);

/q nerādīt norises joslu;

/s nerādīt lietotāja kļūdu ziņojumus;

/ip <ip address> izmantot norādīto IP adresi, lai identificētu printeri, piemēram, /ip 120.25.5.56

/hw <hardware address> izmantot norādīto aparatūras adresi, lai identificētu printeri, piemēram, /hw 0001E6299128

/hn <hostname> izmantot norādīto resursdatora nosaukumu, lai identificētu printeri, piemēram, /hn Myhostname

Resursdatora nosaukums nedrīkst pārsniegt 255 rakstzīmes, un tajā var būt tikai šādas rakstzīmes: A-Z, a-z, 0-9 un domuzīme (-).

/pn <portname> izmantot norādīto nosaukumu kā porta nosaukumu, piemēram, /pn HPPort

Porta nosaukumā nevar būt atstarpes, un tas nedrīkst pārsniegt 128 rakstzīmes.

/n ”<printername>” izmantot norādīto nosaukumu kā printera nosaukumu, piemēram, /n “HP LaserJet 8150”

Printera nosaukumam ir jābūt pēdiņās, tas nedrīkst pārsniegt 40 rakstzīmes un tajā nedrīkst būt neviena no šīm īpašajām rakstzīmēm: ! # ,

/d iestatīt šo printeri kā noklusējuma vērtību;

/sn “<sharename>” ieslēgt koplietošanu un izmantot norādīto nosaukumu kā printera koplietojuma nosaukumu, piemēram, /sn ”My shared HP LaserJet 8150”

Koplietojuma nosaukumam ir jābūt pēdiņās, tas nedrīkst pārsniegt 80 rakstzīmes un tajā nedrīkst būt neviena no šīm īpašajām rakstzīmēm: / \ : ; “ ? * + = < > [ ]

© Copyright 2007-2008 Hewlett-Packard Development Company, L.P.